.dialog[data-variant=centered] .dialog__content:has(> .youtube-modal) {
  background: transparent;
  border-radius: 0;
  max-height: none;
  max-width: min(80vw, 142.2222222222dvh);
}
.dialog[data-variant=centered] .dialog__content:has(> .youtube-modal) > .overlay__handle {
  display: none;
}

.dialog[data-variant=centered] .dialog__content > .youtube-modal {
  overflow: visible;
}
.dialog[data-variant=centered] .dialog__content > .youtube-modal > .overlay__header {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  overflow: hidden;
  clip-path: inset(50%);
}
.dialog[data-variant=centered] .dialog__content > .youtube-modal > .overlay__header::before {
  content: none;
}
.dialog[data-variant=centered] .dialog__content > .youtube-modal > .overlay__body {
  overflow: visible;
}
.dialog[data-variant=centered] .dialog__content > .youtube-modal > .overlay__body::after {
  content: none;
}
.dialog[data-variant=centered] .dialog__content > .youtube-modal > .overlay__body > .overlay__body-inner {
  padding: 0;
}

.dialog[data-variant=centered] .youtube-modal .modal__close {
  top: 0;
  right: -48px;
  color: var(--label-inverse-normal);
}
.dialog[data-variant=centered] .youtube-modal .modal__close svg {
  width: 24px;
  height: 24px;
}
@media (hover: hover) {
  .dialog[data-variant=centered] .youtube-modal .modal__close:hover {
    color: var(--label-inverse-normal);
    opacity: 0.7;
  }
}

.dialog[data-variant=fullscreen] .dialog__content > .youtube-modal > .overlay__body {
  display: flex;
  align-items: center;
  overflow: hidden;
}
.dialog[data-variant=fullscreen] .dialog__content > .youtube-modal > .overlay__body::after {
  content: none;
}
.dialog[data-variant=fullscreen] .dialog__content > .youtube-modal > .overlay__body > .overlay__body-inner {
  width: 100%;
  padding: 0;
}

.youtube-modal__player {
  width: 100%;
}
.youtube-modal__player.youtube-player {
  border-radius: unset;
}